#include <stdio.h>
#include <stdlib.h>


int main()
{

int a, b;
int q,r;
scanf("%d%d", &a, &b);

__asm__(
"cdq\n\t"
"idiv %3\n\t"       /* Deljenje */
: "=a"(q), "=d"(r)  /* Alociramo eax za kolicnik, 
                       a edx za ostatak pri deljenju. */
: "a"(a), "b"(b)    /* Alociramo ebx za delilac, 
                       a eax za deljenik. */
);

printf("%d %d\n", q, r);

return EXIT_SUCCESS;
}
